GMEDIARENDER(1)

NAME
gmediarender - UPNP-AV renderer daemon

SYNOPSIS
gmediarender [options] files...

DESCRIPTION
This manual page documents briefly the gmediarender command.

gmediarender is a daemon which acts as a UPNP-AV renderer on the local network. It can be controlled from a UPNP-AV control point to play media files from a UPNP-AV media server through an audio device on the local system.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

  Application options:

-d, --daemon
    Runs the program as a daemon.

-f, --friendly-name <name>
    Friendly name to advertise on the network.

    Usually, it is desirable for the renderer to show up on controllers under a recognisable and unique name. This is the option to set that name.

-I, --interface-name <interface-name>
    The local interface name the service is running and advertised on.

-p, --port <port>
    Port to listen to. [49152..65535].

    libupnp does not use SO_REUSEADDR, so it might be necessary to increment this number.

-P, --pid-file <pidfile>
    Name of the file which the process ID should be written to.

-u, --uuid <uuid>
    UUID to advertise on the network in the form user:group.

    This sets the UPNP UUID that is advertised and used by controllers to distinguish different renderers. Usually, gmediarender uses a built-in static id. If there are multiple renderers running on the local network, they will all share the same static ID. With this option, each renderer can be given its own id. One way to generate a UUID is to create a UUID once by running the uuidgen tool.

--mime-filter <filter>
    Filters the advertised MIME types supported by the renderer.

    Normally, gmediarender advertises all MIME types (media formats) supported by the output. Use this option to limit the advertised media support or add/remove support for a specific type.

    Filters take 3 forms. Multiple filters are separated by a comma.

    • Prefix filters will only advertise MIME types that match the supplied prefix. e.g. audio, video, image.

    • Inclusion filters will add the supplied type to the supported list. e.g. +audio/x-flac

    • Removal filters will remove the supplied type from the supported list. e.g. -audio/x-flac

    e.g. To allow only audio, without FLAC but include FLV. --mime-filter audio,-audio/x-flac,+video/x-flv

  Audio options:

--gstout-audiosink <sink>
    Set the audio sink.

--gstout-audiodevice <device>
    Set the audio device.

    The --gstout-audio... options allow the user to configure where the sound output from gmediarender is sent. The correct values will depend on which method of audio output (e.g. ALSA) is being used.

--gstout-initial-volume-db <volume>
    Sets the initial volume on startup in decibels.

    Values range from 0 (maximum volume) to -60 (minimum volume. The decibel scale is non-linear: -20db represents roughly half volume. The default value is 0.

    Note that this does not influence the hardware (e.g. ALSA) volume level, but only internal attenuation. It is advisable to set the hardware level to 100 where possible.

--list-outputs
    List available output modules and exit.

-o, --output <module>
    Output module to use.

    Use --output to obtain a list of valid modules.

  Debug options:

--dump-devicedesc
    Dump device descriptor XML and exit.

--dump-connmgr-scpd
    Dump Connection Manager service description XML and exit.

--dump-control-scpd
    Dump Rendering Control service description XML and exit.

--dump-transport-scpd
    Dump A/V Transport service description XML and exit.

--logfile <logfile>
    Name of a file to log output of the program to.

    To log to the terminal use use --logfile devstdout This file can get quite large over time, so it is only recommended to use this option for debugging purposes.

  Help options

-h, --help
    Show summary of options.

--help-all
    Show all help options.

--help-gstout
    Show GStreamer Output Options.

--help-gst
    Show GStreamer Options.

-v, --version
    Show the program version.

SEE ALSO
uuidgen(1).